Почему Flash для Linux будет работать только в Chrome

Компанией Adobe был опубликован пресс-релиз, где сообщается о том, что новые версии Flash для ОС Linux будут работать только в интернет-обозревателе Google Chrome. Это связано прежде всего с тем, что в веб-браузере от Google реализован Pepper Plugin API — новый программный интерфейс для плагинов. Разработчики Adobe решили использовать только данный интерфейс в Linux и оставить поддержку Netscape Plugin API в Windows и Mac OS X. Остальные браузеры Firefox, Opera для Linux, Epiphany и Konqueror так и останутся со старой версией Flash пока специалисты также в них не реализуют PPAPI.

Переход на новый интерфейс вполне возможен, поскольку стандарт открытый и в компании Google предоставляют исходные коды и документацию. PPAPI считается лучше и безопаснее старого нетскейповского стандарта. Он упрощает поддержку аппаратного ускорения графики и позволяет к тому же запускать плагины в отдельных процессах. Разработчики из Mozilla однако отказываются пока что от его реализации, сообщая на соответствующей страничке официального сайта, что компания в настоящий момент не заинтересована в работе над Pepper.

Добавить комментарий

Ваш адрес email не будет опубликован.